* {
  padding: 0px;
  margin: 0px;
}

html {
  min-height: 100%;
}
#container {           /*contenedor general (contiene todas las pantallas*/
  justify-content: center;
  height: 100vh;
}

.img-logo-white { /*Logos*/
  width: 85%;
  margin-top: 20%;
}

.container-div-login { /*contenedor padre de la seccion login*/
  display: flex;
  flex-direction: column;
  align-items: center;
}

.input-login { /*contenedor padre de los input de login*/
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 10%;
}
#email,
#password {  /*input de login*/
  border-radius: 25px;
  border: solid 2px;
  width: 320px;
  height: 45px;
  margin-top: 10%;
  outline: none;
  text-align: center;
  font-size: large;
  font-family:'Roboto', sans-serif;
  font-weight: bolder;
  color: rgb(0, 0, 0);
 
}
#errorMessageLogin{ /*contenedor mensaje de error de login*/
  margin-top: 3%;
  font-size: 20px;
  font-weight: bolder;
  font-family: 'Roboto', sans-serif;
  color:red;
}
.div-login {  /*contenedor de boton, parrafos y logo google login*/
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 10%;
}
.div-login p{ 
font-size: 23px;
margin-top: 10%;
font-family: 'Roboto', sans-serif;
}
#btn-login{ /*botones de logueo y registro*/
  cursor: pointer;
  height: 45px;
  width: 250px;
  border-radius: 20px;
  font-family:'Righteous', cursive;
  font-size: 25px;
  background-color:rgb(0,255,171);
  border: none;
  outline: none;
  color: #333;
}
#btn-login:hover{
  box-shadow: 2px 4px 4px 4px #6f7274;
}

.btn-google{  /*boton contenedor del logo de google para logueo y registro*/
border: none;
background-color: transparent;
width: 100px;
margin-top: 10%;
cursor: pointer;
}

#img-google{  /*imagen de google*/
  width: 50px;
}

#link-register{ /*etiqueta <a> con el link de resgister en pantalla login*/
  color: #FF009E;

}

.container-div-register { /*contenedor padre de la seccion register*/
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: rgb(58, 57, 57);
  padding-bottom: 2%;
  height: 100vh;
}

.input-register { /*contenedor padre de los input de register*/
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 7%
}
#name-register,
#email-register,
#password-register {  /*input de register*/
  border-radius: 25px;
  border: solid 2px white;
  width: 320px;
  height: 45px;
  margin-top: 7%;
  background-color: transparent;
  outline: none;
  text-align: center;
  font-size: large;
  font-family:'Roboto', sans-serif;
  font-weight: bolder;
  color: aliceblue;
}

#errorMessageRegister{ /*contenedor mensaje de error register*/
  margin-top: 7%;
  font-size: 15px;
  font-family: 'Roboto', sans-serif; 
  color: rgb(255, 208, 0); 
  width: 280px;
  text-align: center;
  letter-spacing: 2px;
}
.div-register{  /*contenedor de boton, parrafos y logo google register*/
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 5%;
}
.div-register p{ 
font-size: 22px;
margin-top: 7%;
font-family: 'Roboto', sans-serif;
color: white;
}
#btn-register{ /*botones de logueo y registro*/
  cursor: pointer;
  height: 45px;
  width: 250px;
  border-radius: 20px;
  font-family:'Righteous', cursive;
  font-size: 25px;
 background-color:rgb(0,255,171);
 border: none;
 outline: none;
 color: #333;
}
#btn-register:hover{
  box-shadow: 4px 6px 4px 6px #1f1e1eef, 0 4px 0 8px #3b3b3bef;
}

#link-login{ /*etiqueta <a> con el link de login en pantalla register*/
  color: rgb(255, 238, 0);
}

#modalContent { /*Modal de confirmación para correo registrado con exito*/
height: 240px;
width: 310px;
background-color: rgba(185, 180, 180, 0.900);
position: fixed;
border-radius: 20px;
display: none;
flex-direction: column;
align-items: center;
}

#textModal { /*Texto de la modal de confirmación para correo registrado con exito*/
  font-family: 'Roboto', sans-serif;
  font-size: 25px;
  font-weight: bolder;
  text-align: center;
  color: #333;
  margin-top: 40px;

}

.img-check { 
  width: 100px;
  margin-top: 15px;
}
/*Inicia estilos del home*/
#div-home{
  background-color: white;
}
#hder{ /*header de home y profile*/
  background-color: rgb(53,52,52);
  height: 50px;
  width: 100%;
  position: fixed;
  display: inline-flex;
 justify-content: space-around;
 z-index: 1;
}
#logo-hder{ /*Logo del header*/
  width: 180px;
}
.container-images{/*container de los iconos home y profile*/
  width: 30%;
 margin-top: 7px;
 display:flex;
 justify-content: space-around;
}
#img-home, #img-profile{ /*imagenes home y profile*/
  width: 35px;
 height: 35px;
}
#container-posts{ /*main de la ruta home*/
  display: flex;
  flex-direction: column;
  align-items: center;
}
#container-btn-input{ /*contenedor de boton con efecto input y de las cards que son cada publicacion*/
  border-radius: 10px;
  margin-top: 80px;
  height: 100px;
  width: 90%;
  background-color: white;
  box-shadow: 1px 2px 4px rgb(155, 154, 154);
  display: inline-flex;
  align-items: center;
  justify-content: space-around;
}
#img-input{ /*Imagenes de perfil en el contenedor principal para publicar*/
  width: 60px;
  height: 60px;
}
#btn-input-modal{/*boton con efecto modal*/
  border: none;
  background-color: rgba(236, 236, 236, 0.925);
  border-radius: 20px;
  height: 40px;
  width: 78%;
  cursor: pointer;
  font-family: 'Roboto', sans-serif;
  font-weight: bold;
  color: rgb(146, 145, 145);
  text-align:left;
  padding-left: 15px;
}
#btn-input-modal:hover{
  background-color: rgba(218, 218, 218, 0.925);
}
#modal-background-post{ /*Fondo de la modal para publicar*/
  height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 4;
    background-color: rgba(63, 63, 63, 0.664);
    display: none;
    align-items: center;
    justify-content: center;
}
#modal-content-post { /*contenido de la modal para publicar*/
  width: 90%;
  height: auto;
  background-color: rgb(255, 255, 255);
  position: fixed;
  border-radius: 20px;
  display: none;
  align-items: center;
  flex-direction: column;
  top: 80px;
}
#space-line{ /*div contenedor de texto 'crear publicacion' y la X*/
  display: inline-flex;
  font-family: 'Roboto', sans-serif;
  font-weight: bold;
  width: 100%;
  width: 85%;
    align-items: center;
    justify-content: space-between;
    padding: 7px 20px 7px 20px;
}
#container-img-exit{ /*container imagen X*/
  width: 100%;
  display: flex;
  flex-direction: row-reverse;
  margin-bottom: 2%;
}

.btn-exit{/*imagen X*/
  width: 30px;
}
#line{/*linea divisora de la modal para publicar*/
  border-top: 1.5px solid rgb(95, 95, 95);
  height: 2px;
  padding: 0;
}
#after-line{ /*contenedor de elemento despues de la linea divisora en la modal para publicar*/
padding: 5%;
display: flex;
flex-direction: column;
}
#container-img-text{ /*Contenedor de la imagen de peril en la modal*/
  display: flex;
  align-items: center;
  width: 90%;
}
#img-modal-post{ /*imagen de peril en la modal*/
  width: 50px;
  height: 50px;
}
#container-text p{/*Nombre de usurio en la modal para publicar*/
  margin-left: 5%;
  font-family: 'Roboto', sans-serif;
  font-weight: bold;
  color: #333;
  width: 100%;
}
#input-post{ /*id de la etiqueta textarea para publicar*/
  border: none;
  background-color: transparent;
  cursor: pointer;
  outline: none;
  height: 150px;
  margin-top: 5%;
  font-size: 15px;
  font-family: 'Roboto', sans-serif;
}
#btn-post :disabled,
#btn-post[disabled]{ /*Boton para publicar es estado disable mientras input este vacio 'boton inactivo'*/
  margin-top: 5%;
  cursor: pointer;
  height: 30px;
  width: 100%;
  border-radius: 10px;
  font-family: 'Righteous', cursive;
  font-size: 20px;
  background-color: rgb(185, 185, 184);
  border: none;
  outline: none;
  color: rgb(133, 131, 131);
  box-shadow: 0px 0px 0px 0px #6f7274;
}
#btn-post{/*Boton para publicar con inforacion en el input 'boton activo'*/
  margin-top: 5%;
  cursor: pointer;
  height: 30px;
  width: 100%;
  border-radius: 10px;
  font-family: 'Righteous', cursive;
  font-size: 20px;
  background-color: rgb(0,255,171);
  border: none;
  outline: none;
  color: #333;
  box-shadow: 2px 4px 4px 4px #6f7274;
}
#div-post{ /*contenedor de los post*/
  width: 100%;
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  align-items: center;
}
.card-post{/*Tarjeta y contenedor de cada post*/
  border-radius: 10px;
  margin-top: 30px;
  height: auto;
  width: 80%;
  background-color: white;
  box-shadow: 1px 2px 4px rgb(155, 154, 154);
  padding: 5%;
  font-family: 'Roboto', sans-serif;
  position: relative;
}
#container-user-data{/*contenedor de imagen, nombre y fecha en el post*/
  display: inline-flex;
}
#img-post{/*imagen en el post*/
  width: 50px;
  height: 50px;
}
#container-data{/*contenedor de nombre y fecha en el post*/
  margin: 8px 0 0 10px;
}
#user-name {/*nombre en el post*/
font-weight: bold;
color: #333;
}
#date{/*fecha en el post*/
  color: rgb(134, 133, 133);
  font-weight: bold;
  font-size: 15px;
  letter-spacing: 1px;
}
#description-post{/*descripcion en el post*/
  padding: 5%;
  word-break: break-all;
}
#container-selects { /*contenedor de las imagenes editar y eliminar*/
  position: absolute;
  width: 20%;
  top: 20px;
  right: 5%;
  display: flex;
  justify-content: space-around;
}
.img-edit, .img-delete { /*imagenes editar y eliminar*/
  width: 24px;
}
#container-likes {/*contenedor de like texto e imagenes*/
  width: 20%;
  display: inline-flex;
  align-items: flex-end;
  justify-content: space-evenly;
  flex-direction: row-reverse;
  float: right;
}
.img-like{ /*imagenes like*/
  width: 30px;
}
#container-modal-delete{/*Fondo de la modal confirmar, para eliminar el post*/
  height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 4;
    background-color: rgba(63, 63, 63, 0.664);
    display: none;
    align-items: center;
    justify-content: center;
}
#modal-content-delete {/*contenido de la modal confirmar, para eliminar el post*/
  height: 150px;
  width: 80%;
  background-color: rgb(255, 255, 255);
  border-radius: 20px;
  position: fixed;
  display: none;
  transform: translateY(-50%);
  top: 50%;
  z-index: 4;
  padding: 5%;
}
#content-modal-delete{/*contenerdor de texto y boton en la modal confirmar, para eliminar el post*/
  display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    height: 70%;
    font-family: 'Roboto', sans-serif;
    font-size: 20px;
    font-weight: bold;
    color: #333;
    padding-top: 8px;
}
#btn-accept-delete{/* boton en la modal confirmar, para eliminar el post*/
  cursor: pointer;
    height: 25px;
    width: 70%;
    border-radius: 10px;
    font-family: 'Righteous', cursive;
    font-size: 20px;
    background-color: rgb(0,255,171);
    border: none;
    outline: none;
    color: #333;
    box-shadow: 2px 2px 2px 2px #6f7274;
}
/*Empieza la seccion profile*/
#main-profile {/*main de ruta profile*/
  display: flex;
  flex-direction: column;
  align-items: center;
}
#img-user-profile {
  width: 120px;
}
#container-user-profile{/*contenedor del nombre de usuario en profile*/
  margin-top: 100px;
    height: 180px;
    width: 90%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    font-family: 'Roboto', sans-serif;
    font-size: 23px;
    color: #333;
    font-weight: bolder;
}
#imgprofile-functions{/*imagen central en la ruta profile 'proximanete mas funciones'*/
  width: 350px;
  margin-top: 25%;
 border-radius: 20px;
 box-shadow: 2px 2px 2px 2px #919292;
}
#btn-signout{/*boton para cerrar sesion*/
  margin: 14%;
  cursor: pointer;
  height: 30px;
  width: 70%;
  border-radius: 10px;
  font-family: 'Righteous', cursive;
  font-size: 20px;
  background-color: #FF009E;
  border: none;
  outline: none;
  color:white;
  box-shadow: 2px 2px 2px 2px #919292;
}
#footers{/*footer en ruta home y profile*/
  font-size: 12px;
  padding: 10px;
  color: #6C6C6C;
  text-align: center;
}
@media only screen and (min-width: 600px) and (max-width: 900px) {
  .img-logo-white { 
    width: 300px;
    margin-top:13%;
  }
  .input-login { 
    margin-top: 5%;
  }
  #email,
  #password {  
    width: 260px;
    height: 30px;
    margin-top: 10%;
  }
  #btn-login{ 
    height: 30px;
    width: 230px;
    font-size: 20px;
  }
  .div-login {  
    margin-top: 3%;
  }
  .div-login p{ 
    font-size: 20px;
    margin-top: 10%;
}
.btn-google{  
  margin-top: 5%;
  width: 80px;
  }
  #img-google{
    width: 35px;
}
#errorMessageLogin {
  font-size: 17px;
}
.container-div-register {
  height: 140vh;
}
#name-register, #email-register, #password-register {
  width: 258px;
  height: 30px;
  margin-top: 8%;
  font-size: 15px;
}
.div-register {
  margin-top: 4%;
}
#btn-register {
  height: 30px;
    width: 230px;
    font-size: 20px;
}
#errorMessageRegister {
  margin-top: 4%;
  font-size: 17px;
  width: 310px;
}
.div-register p {
  font-size: 20px;
  margin-top: 12%;
}
#hder {
  height: 60px;
}
#logo-hder{
  width: 200px;
}
.container-images {
  margin-top: 11px;
}
#img-home, #img-profile {
  width: 40px;
  height: 40px;
}
#container-btn-input {
  width: 80%;
  margin-top: 90px;
}
#btn-input-modal {
  font-size: 16px;
}
#modal-content-post {
  width: 80%;
  font-size: 20px;
}
#input-post {
  font-size: 20px;
}
.card-post {
  font-size: 18px;
  width: 70%;
}
#modal-content-delete {
  width: 70%;
}
#btn-accept-delete {
  width: 60%;
}
#footers {
  font-size: 18px;
}
}
@media only screen and (min-width: 901px) and (max-width: 1650px) {
  .img-logo-white { 
    width: 500px;
    margin-top:10%;
  }
    .div-login {  
      margin-top: 2%;
    }
    #email,
    #password {  
      width: 410px;
      height: 47px;
    }
    .div-login p{ 
      margin-top: 15%;
      font-size: 28px;
    }
    #btn-login{ 
      height: 45px;
      width: 320px;
      font-size: 28px;
    }
    #img-google{
      width: 50px;
  }
    #errorMessageLogin {
      font-size: 22px;
    }
    .container-div-register {
      height: 140vh;
    }
    #name-register, #email-register, #password-register {
      width: 410px;
    height: 47px;
    font-size: 18px;
    }
    .div-register {
      margin-top: 2%;
    }
    #btn-register {
      height: 45px;
      width: 320px;
      font-size: 28px;
    }
    #errorMessageRegister {
      margin-top: 4%;
      font-size: 17px;
      width: 310px;
    }
    .div-register p {
      font-size: 25px;
    }
    #hder {
      height: 70px;
    }
    #logo-hder{
      width: 290px;
    }
    .container-images {
      margin-top: 12px;
    }
    #img-home, #img-profile {
      width: 45px;
      height: 45px;
    }
    #container-btn-input {
      width: 70%;
      margin-top: 110px;
    }
    #btn-input-modal {
      font-size: 18px;
      height: 50px;
    }
    #modal-content-post {
      width: 50%;
      font-size: 23px;
    }
    #input-post {
      font-size: 23px;
    }
    #btn-post {
      height: 35px;
      width: 80%;
      font-size: 20px;
      margin-left: 58px;
  }
    #btn-post :disabled, #btn-post[disabled] {
      height: 35px;
      width: 80%;
      font-size: 20px;
      margin-left: 58px;
  }
    .card-post {
      font-size: 23px;
      width: 60%;
    }
    .img-edit, .img-delete {
      width: 33px;
  }
  .img-like {
    width: 33px;
}
    #modal-content-delete {
      width: 40%;
    }
    .btn-exit {
      width: 35px;
  }
    #content-modal-delete {
      font-size: 23px;
  }
    #btn-accept-delete {
      width: 60%;
      height: 30px;
    }
    #imgprofile-functions {
      width: 550px;
      margin-top: 20%;
  }
    #btn-signout {
      margin: 10%;
      height: 35px;
      width: 25%;
      font-size: 23px;
  }
    #footers {
      font-size: 20px;
    }
}
